#!/bin/sh

MOVIE="$1"
FFMPEG="$3"
FILE="/tmp/file"
RES="/tmp/result"
DIMS="/tmp/dims"
SIZE="/tmp/size"

"$FFMPEG" -i "$MOVIE" grep da * 2> $FILE
cat $FILE | egrep '[0-9][0-9]+x[0-9][0-9]+' > $RES
cat $RES | perl -p -e's/.*?([0-9][0-9]+x[0-9][0-9]+).*/$1/' > $DIMS

if [[ $2 == "w" ]]; then
	cat $DIMS | perl -p -e's/.*?([0-9][0-9]+)x[0-9][0-9]+.*/$1/' > $SIZE
else
	cat $DIMS | perl -p -e's/.*?[0-9][0-9]+x([0-9][0-9]+).*/$1/' > $SIZE
fi

cat $SIZE

# Cleanup
rm $FILE
rm $RES
rm $DIMS
rm $SIZE

exit 0